Cudy
8-Port Gigabit Switch with USB-C Power Input, GS108U 2.0
- Weight
- 87.5 g
- Colour
- White
- Switch type
- Unmanaged
19,40 €
See the offerAd · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel · Network Switch
Model GS1915-8MPN GS1915-8-EU0101FMPN GS1915-8-GB0101FEAN 4718937621897EAN 4718937621903
Lowest price
88,30 €
at Netzwerkartikel.deIn stock
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC
Every store asks the same price.
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history is being collected. After 14 days of prices we will show whether today's price is good.
61 specifications from the manufacturer's data sheet
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| System event log | Yes |
| MIB support | RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493 |
| Basic switching RJ-45 Ethernet ports quantity | 8 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Gigabit Ethernet (copper) ports quantity | 8 |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| Power connector | AC-in jack |
| Networking standards | IEEE 802.1Q, IEEE 802.1p, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 1000BASE-T |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Rate limiting | Yes |
| VLAN support | Yes |
| Number of VLANs | 8 |
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 16 Gbit/s |
| Forwarding rate | 11.9 Mpps |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
| Packet buffer memory | 0.525 MB |
| IGMP snooping | Yes |
|---|---|
| MAC address filtering | Yes |
| SSH/SSL support | Yes |
| Multicast support | Yes |
|---|
| Management protocols | SNMP v1,v2,v3, RMON (1,2,3,9) |
|---|
| Product colour | Black |
|---|---|
| LED indicators | Yes |
| Electromagnetic compatibility | LVD EN60950-1, BSMI CNS14336-1 |
| Mean time between failures (MTBF) | 1144461 h |
|---|
| Power source | AC |
|---|---|
| AC input voltage | 220 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 4.7 W |
| Power over Ethernet (PoE) | No |
|---|
| Operating temperature (T-T) | 0 - 40 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 10 - 95% |
| Heat dissipation | 16.03 BTU/h |
| Width | 250 mm |
|---|---|
| Depth | 104 mm |
| Height | 27 mm |
| Weight | 620 g |
| Cables included | AC |
|---|---|
| Quick start guide | Yes |
| Manual | Yes |
| User guide | Yes |
| Package width | 302 mm |
|---|---|
| Package depth | 227 mm |
| Package height | 64 mm |
| Package weight | 1.1 kg |
| Certification | CE, FCC, C-Tick, Class A, Class B, BSMI CNS13438 |
|---|
| Harmonized System (HS) code | 85176990 |
|---|
Cudy
19,40 €
See the offer197,64 €
See the offerLevelOne
Model IGP-1091
674,25 €
See the offerLevelOne
Model GEU-1632
166,15 €
See the offerLevelOne
Model GEU-2432
208,00 €
See the offerNETGEAR
Model GS310TPv2
204,39 €
See the offerNETGEAR
Model GS324TPv2
437,85 €
See the offerNETGEAR
Model GS348TPv2
917,05 €
See the offer